/[pcsx2_0.9.7]/update_from_upstream.sh
ViewVC logotype

Diff of /update_from_upstream.sh

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

--- update_from_upstream.sh	2010/09/06 23:53:15	23
+++ update_from_upstream.sh	2010/09/07 00:11:46	24
@@ -52,10 +52,13 @@
 cp -f "$upstream_trunk/trunk/upstream_repository_revision.txt" "$downstream_export_location/trunk/upstream_repository_revision.txt" > /dev/null 2>/dev/null
 echo "$upstream_repository_url" > "$downstream_export_location/trunk/upstream_repository_url.txt"
 
+
+mkdir -p "$downstream_export_location/trunk/3rdparty/"
 echo
 echo -n "COPYING: Dependent Includes Files from $dependent_3rdparty_includes_location -> $downstream_export_location/trunk/3rdparty ... "
-cp -Rf "$dependent_3rdparty_includes_location/*" "$downstream_export_location/trunk/3rdparty/" && echo "Done." || echo "Failed."
+cp -Rf "$dependent_3rdparty_includes_location/" "$downstream_export_location/trunk/3rdparty/" && echo "Done." || echo "Failed."
 
+mkdir -p "$downstream_export_location/trunk/deps/Win32/Debug/"
 echo
 echo -n "COPYING: Dependent Library Files from $dependent_3rdparty_libs_location -> $downstream_export_location/trunk/deps/Win32/Debug ... "
-cp -Rf "$dependent_3rdparty_libs_location/*" "$downstream_export_location/trunk/deps/Win32/Debug/" && echo "Done." || echo "Failed."
+cp -f "$dependent_3rdparty_libs_location"/* "$downstream_export_location/trunk/deps/Win32/Debug/" && echo "Done." || echo "Failed."

 

  ViewVC Help
Powered by ViewVC 1.1.22